# dir

abstract fun dir(dirPath: Any): TaskInputFilePropertyBuilder

Registers an input directory hierarchy. All files found under the given directory are treated as input files for this task.

An input directory hierarchy ignores empty directories by default. See ignoreEmptyDirectories.

#### Return

a property builder to further configure the property.

#### Parameters

dirPath

The directory. The path is evaluated as per file.